libtomcrypt/coverage_more.sh

25 lines
559 B
Bash
Raw Normal View History

2017-05-11 13:53:22 +00:00
#!/bin/bash
set -e
./sizes
./constants
2017-06-05 13:58:10 +00:00
for i in $(for j in $(echo $(./hashsum -h | tail -n +3)); do echo $j; done | sort); do echo -n "$i: " && ./hashsum -a $i tests/test.key ; done > hashsum_tv.txt
2017-05-11 13:53:22 +00:00
difftroubles=$(diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt | grep '^<') || true
if [ -n "$difftroubles" ]; then
echo "FAILURE: hashsum_tv.tx"
diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt
echo "hashsum failed"
exit 1
else
echo "hashsum okay"
fi
exit 0
2017-06-19 11:43:49 +00:00
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$